package com.gic.haoban.manage.service.dao.mapper.chat;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.gic.haoban.manage.service.entity.chat.TabGroupChatHmRelation;
import com.gic.haoban.manage.service.pojo.bo.chat.GroupChatHmRelationBO;

/**
 * 
 * @ClassName: TabHaobanGroupChatHmRelationMapper
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年12月05日 17:33:14
 * @Modify
 * @CopyRight 
 */
public interface GroupChatHmRelationMapper {

    public int insertBatch(List<TabGroupChatHmRelation> list);

    public int delete(@Param("chatHmId") Long chatHmId, @Param("groupChatIdList") List<Long> groupChatIdList,
            @Param("statusFlag") int statusFlag);

    public List<TabGroupChatHmRelation> listByChatHmId(@Param("chatHmId") Long chatHmId);
    
    public List<TabGroupChatHmRelation> listByChatHmIdIncludeOff(@Param("chatHmId") Long chatHmId);

    /**
     * 
    * @Title: listChatHmId
    * @Description: 查询群关联的活码ID
    * @author xugh
    * @param groupChatId
    * @return
    * @throws
     */
    public List<Long> listChatHmId(@Param("groupChatId") Long groupChatId);

    public List<TabGroupChatHmRelation> listChatHmByGroupChatIds(@Param("groupChatIds") List<Long> groupChatIds);
    
    public List<GroupChatHmRelationBO> getHmValidChatCount(@Param("hmList") List<Long> hmList) ;
    
    
}